

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.55. ruby_load &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.56. schema" href="schema.html" />
    <link rel="prev" title="7.3.54. ruby_eval" href="ruby_eval.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/ruby_load.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="schema.html" title="7.3.56. schema"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="ruby_eval.html" title="7.3.54. ruby_eval"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.55. </span><code class="docutils literal notranslate"><span class="pre">ruby_load</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="ruby-load">
<h1><span class="section-number">7.3.55. </span><code class="docutils literal notranslate"><span class="pre">ruby_load</span></code><a class="headerlink" href="#ruby-load" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.55.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">ruby_load</span></code> コマンドは指定したRubyスクリプトを読み込みます。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.55.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで必須です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>ruby_load path
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.55.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">ruby_load</span></code> を使ってmrubyがサポートしているスクリプトを読み込むことができます。</p>
<p>Rubyスクリプトとして <code class="docutils literal notranslate"><span class="pre">expression.rb</span></code> を単に読み込む例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register ruby/load
# [[0, 1337566253.89858, 0.000355720520019531], true]
ruby_load &quot;expression.rb&quot;
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;value&quot;: null}]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">ruby_load</span></code> コマンドを使うには事前に <code class="docutils literal notranslate"><span class="pre">ruby/load</span></code> プラグインを登録します。</p>
<p><code class="docutils literal notranslate"><span class="pre">ruby_load</span></code> コマンドは実験的なプラグインです。このコマンドは将来的に変更されるかもしれません。</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.55.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。</p>
<div class="section" id="path">
<h3><span class="section-number">7.3.55.4.1. </span><code class="docutils literal notranslate"><span class="pre">path</span></code><a class="headerlink" href="#path" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>読み込みたいrubyスクリプトを指定します。</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.55.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">ruby_load</span></code> は例外情報などのメタデータつきで読み込んだ結果を返します（メタデータはまだ実装されていないので今のところ含まれません）:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, {&quot;value&quot;: LOADED_VALUE}]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">LOADED_VALUE</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">LOADED_VALUE</span></code> はrubyスクリプトを読み込んだ結果です。</p>
<p><code class="docutils literal notranslate"><span class="pre">ruby_load</span></code> は <code class="docutils literal notranslate"><span class="pre">LOADED_VALUE</span></code> としていまのところは単に <code class="docutils literal notranslate"><span class="pre">null</span></code> を返します。将来的には <code class="docutils literal notranslate"><span class="pre">LOADED_VALUE</span></code> がサポートされる予定です。</p>
</div></blockquote>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.55.6. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><a class="reference internal" href="ruby_eval.html"><span class="doc">ruby_eval</span></a></p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.55. <code class="docutils literal notranslate"><span class="pre">ruby_load</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.55.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.55.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.55.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.55.4. 引数</a><ul>
<li><a class="reference internal" href="#path">7.3.55.4.1. <code class="docutils literal notranslate"><span class="pre">path</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.55.5. 戻り値</a></li>
<li><a class="reference internal" href="#see-also">7.3.55.6. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="ruby_eval.html"
                        title="前の章へ"><span class="section-number">7.3.54. </span><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="schema.html"
                        title="次の章へ"><span class="section-number">7.3.56. </span><code class="docutils literal notranslate"><span class="pre">schema</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="schema.html" title="7.3.56. schema"
             >次へ</a> |</li>
        <li class="right" >
          <a href="ruby_eval.html" title="7.3.54. ruby_eval"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.55. </span><code class="docutils literal notranslate"><span class="pre">ruby_load</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>